## EMBOSS: descseq

# Program descseq

## Function

Alter the name or description of a sequence

## Description

Most sequence formats allow, at the very minimum, a name for the sequence and some comments to be stored in the sequence file.

Rather than using an editor to alter the name or the comments, descseq allows you to simply change them and write out a new file with the changes in and the sequence left unaltered.

The default action is to replace the existing name or description with your new one, but by using the qualifier '-append' what you enter is appended to the existing name or description.

Note that is you append to a description, no space is inserted by default bewteen the existing description and your appended text - you have to put in a space yourself if you require one.

## Usage

Set the name of a sequence to "myclone23"

    % descseq -seq clone23 -out clone23.seq -name "myclone23"

Set the description of a sequence to "This is my clone number 244"

    % descseq -seq xy24 -out xy24.seq -desc "This is my clone number 244"

Append some text to the description of a sequence

    % descseq -seq est.seq -out est4.seq -desc " (submitted)" -append

## Command line arguments

       Mandatory qualifiers:
      [-sequence]          sequence   Sequence USA
      [-outseq]            seqout     Output sequence USA

       Optional qualifiers:
       -name               string     Name of the sequence
       -description        string     Description of the sequence

       Advanced qualifiers:
       -append             bool       This allows you to append the name or
                                      description you have given on to the end of
                                      the existing name or description of the
                                      sequence.

       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence USA | Readable sequence | Required
[-outseq] (Parameter 2) | Output sequence USA | Writeable sequence | <sequence>.format
Optional qualifiers | Allowed values | Default
-name | Name of the sequence | Any string is accepted | An empty string is accepted
-description | Description of the sequence | Any string is accepted | An empty string is accepted
Advanced qualifiers | Allowed values | Default
-append | This allows you to append the name or description you have given on to the end of the existing name or description of the sequence. | Yes/No | No

## Input file format

Normal sequence.

## Output file format

The sequence file with a changed name or description.

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None noted.

## See also

Program name | Description
--- | ---
biosed | Replace or delete sequence sections
cutseq | Removes a specified section from a sequence
degapseq | Removes gap characters from sequences
entret | Reads and writes (returns) flatfile entries
extractfeat | Extract features from a sequence
extractseq | Extract regions from a sequence
listor | Writes a list file of the logical OR of two sets of sequences
maskfeat | Mask off features of a sequence
maskseq | Mask off regions of a sequence
newseq | Type in a short new sequence
noreturn | Removes carriage return from ASCII files
notseq | Excludes a set of sequences and writes out the remaining ones
nthseq | Writes one sequence from a multiple set of sequences
pasteseq | Insert one sequence into another
revseq | Reverse and complement a sequence
seqret | Reads and writes (returns) sequences
seqretsplit | Reads and writes (returns) sequences in individual files
splitter | Split a sequence into (overlapping) smaller sequences
swissparse | Retrieves sequences from swissprot using keyword search
trimest | Trim poly-A tails off EST sequences
trimseq | Trim ambiguous bits off the ends of sequences
union | Reads sequence fragments and builds one sequence
vectorstrip | Strips out DNA between a pair of vector sequences
yank | Reads a sequence range, appends the full USA to a list file

## Author(s)

This application was written by Gary Williams (gwilliam@hgmp.mrc.ac.uk)

## History

Finished.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments